// -*-C++-*-
/*!
 * @file  LRFProcessSVC_impl.h
 * @brief Service implementation header of LRFProcess.idl
 *
 */

#include "LRFProcessSkel.h"
#include "clust.h"

#ifndef LRFPROCESSSVC_IMPL_H
#define LRFPROCESSSVC_IMPL_H
 
/*
 * Example class implementing IDL interface LRFTracking
 */
class LRFTrackingSVC_impl
 : public virtual POA_LRFTracking,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~LRFTrackingSVC_impl();


	CLUSTER points[NUMBER];
	TAG target[NUMBER];
	URG_DATA urg[NUMBER];

	void detection();


 public:
   // standard constructor
   LRFTrackingSVC_impl();
   virtual ~LRFTrackingSVC_impl();

   // attributes and operations
   CORBA::Short setHumanPos(CORBA::Double x, CORBA::Double y);
   CORBA::Short getHumanPos(CORBA::Double& x, CORBA::Double& y);

	void discriminant(double vision_x,double vision_y,double &object_x,double &object_y);
	double target_x;
	double target_y;

	double *point_x;
	double *point_y;
	long int *distance;
	double *obstacle_x,*obstacle_y;
	int obstacle_num;
	double *target_px,*target_py;
	int target_pnum;

	int clend;
	int target_num;

	int lrf_scanpoint;
	double lrf_resolusion;
	double lrf_offset;

//	double goal_urg_x;//on mouse
//	double goal_urg_y;//on mouse
//	bool id_flag;
};



#endif // LRFPROCESSSVC_IMPL_H


